/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.EsquemaAgrupacion;

/**
 * 
 * @author RJ Consulltores
 */
public class RenderEsquemaAgrupacion implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		EsquemaAgrupacion esquemaAgrupacion = (EsquemaAgrupacion) o;

		Listcell lc = new Listcell(esquemaAgrupacion.getNumagrupacion().toString());
		lc.setParent(lstm);

		lc = new Listcell(esquemaAgrupacion.getDescagrupacion().toString());
		lc.setParent(lstm);

		lstm.setAttribute("data", esquemaAgrupacion);
	}
}
